## fbxkb 0.6

=== Makefile ===
# Part 0
# load common stuff
TOPDIR = .
include $(TOPDIR)/Makefile.common

# Part 1
# recursive make
.PHONY: subdirs
all clean distclean install uninstall: subdirs

SUBDIRS = man images
.PHONY: $(SUBDIRS)
subdirs: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)



SRC = fbxkb.c  eggtrayicon.c
OBJ = $(SRC:%.c=%.o)
DEP = $(SRC:%.c=%.dep)

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),tar)
-include $(DEP)
endif
endif
endif

TARGET = fbxkb
$(TARGET): $(OBJ) 
	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) -o $@
ifeq (,$(DEVEL))
	strip $@
endif

all: $(TARGET)


clean:
	$(RM) $(TARGET) $(OBJ) $(DEP) *~

distclean: 
	rm -f Makefile.config config.h

install: 
	install -d $(PREFIX)/bin
	install -m 755 $(TARGET) $(PREFIX)/bin

uninstall:
	rm -f $(PREFIX)/bin/$(TARGET)

.PHONY: tar


CWD=$(shell pwd)
VER=$(shell grep -e "\#define[[:space:]]\+VERSION[[:space:]]\+" version.h | \
		sed -e 's/^[^\"]\+\"//' -e 's/\".*$$//' )


tar: 
	$(MAKE) distclean
	cd ..; \
	if [ -e fbxkb-$(VER) ]; then \
		echo fbxkb-$(VER) already exist; \
		echo "won't override";\
		exit 1;\
	else\
		ln -s $(CWD) fbxkb-$(VER);\
		tar --exclude=.svn -hzcvf fbxkb-$(VER).tgz fbxkb-$(VER);\
		rm -f fbxkb-$(VER);\
	fi;

=== images/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common

# backslashify slashes to avoid problems with sed
BPREFIX := $(subst /,\/,$(PREFIX))

CFG := $(wildcard *.cfg)
RES := $(CFG:%.cfg=%)

all: $(RES)

%: %.cfg
	sed 's/PREFIX/$(BPREFIX)/g' < $< > $@

clean:
	$(RM) $(RES) *~

install: 
	install -d  $(PREFIX)/share/fbxkb
#	install -m 644 $(RES) $(PREFIX)/share/fbxkb
	install -d  $(PREFIX)/share/fbxkb/images
	install -m 644 *.png $(PREFIX)/share/fbxkb/images/

uninstall:
	rm -rf $(PREFIX)/share/fbxkb

=== man/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common

# backslashify slashes to avoid problems with sed
BPREFIX := $(subst /,\/,$(PREFIX))

SRC = fbxkb.1
TARGET = fbxkb.1.gz

all: $(TARGET)
$(TARGET): $(SRC)
	sed 's/PREFIX/$(BPREFIX)/g' < $(SRC) | gzip - > $@



clean:
	$(RM) $(TARGET) *~


install: all
#	install -d  $(PREFIX)/share/man/man1
#	install -m 644 $(TARGET) $(PREFIX)/share/man/man1

uninstall:
#	rm -f $(PREFIX)/share/man/man1/$(TARGET)

=== debian/changelog ===
fbxkb (0.6-2) unstable; urgency=low

  * New maintainer (Closes: #767970)
  * Fix parsing of keyboard info, to show proper "us" flag. (Closes: #412254)
  * Use g_strdup() before passing strings to g_hash_table_insert(),
     to avoid use-after-free.
  * Remove deprecated gtk_set_locale() and change deprecated gdk_window_lookup()
     to gdk_x11_window_lookup_for_display().
     This fixes "pointer-trouble-at-implicit" lintian error.
  * Don't unconditionally strip fbxkb binary (Closes: #436824)
  * Removed unnecessary dependencies.
  * Added homepage, debian/watch, machine-readable debian/copyright.
  * Switched to source format 3.0 (quilt)
  * Bumped Standards-Version to 3.9.6

 -- Dmitry Borisyuk <q1werty@i.com.ua>  Wed, 05 Nov 2014 17:38:46 +0200

fbxkb (0.6-1.1) unstable; urgency=low

  * Non-maintainer upload. (Patch by Mònica Ramírez Arceda <monica@probeta.net>)
  * eggtrayicon.c, fbxkb.c: Replace deprecated gdk_display and GDK_DISPLAY() 
    with gdk_x11_get_default_xdisplay().
  * Link to X11 to build with binutils-gold. (Closes: #554280)

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 31 Jan 2012 13:46:19 +0200

fbxkb (0.6-1) unstable; urgency=low

  * Initial Release.
  * The correct manual page was added.

 -- Vadim Vatlin <vatlin@sthbel.ru>  Wed, 10 Jan 2007 17:29:30 +0300

=== debian/control ===
Source: fbxkb
Section: x11
Priority: optional
Maintainer: Dmitry Borisyuk <q1werty@i.com.ua>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libxmu-dev
Standards-Version: 3.9.6
Homepage: http://fbxkb.sourceforge.net

Package: fbxkb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 keyboard indicator and switcher
 It shows a flag of current keyboard in a systray area and
 allows you to switch to another one. It's written in C and
 uses the GTK+2.4 library only (no GNOME is needed).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr

=== debian/watch ===
version=3
http://sf.net/fbxkb/fbxkb-([0-9\.]+)\.tgz

## fbxkb 0.6-2.3

=== debian/changelog ===
fbxkb (0.6-2.3) unstable; urgency=medium

  * Added Kazakh flag 

 -- anticapitalista <antix@operamail.com>  Wed, 16 Nov 2016 16:08:40 +0200

fbxkb (0.6-2.2) unstable; urgency=low

  * 7 more flags added

 -- anticapitalista <antiX@operamail.com>  Mon, o1 Feb 2016 16:27:00 +0200

fbxkb (0.6-2.1) unstable; urgency=low

  * Fixed 3 flag sizes.
  * Built for antiX

 -- anticapitalista <antiX@operamail.com>  Wed, 24 Jun 2015 18:48:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: fbxkb
 Section: x11
 Priority: optional
-Maintainer: Dmitry Borisyuk <q1werty@i.com.ua>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libxmu-dev
-Standards-Version: 3.9.6
-Homepage: http://fbxkb.sourceforge.net
+Maintainer: Vadim Vatlin <vatlin@sthbel.ru>
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libxmu-dev
+Standards-Version: 3.7.2
 
 Package: fbxkb
 Architecture: any

## fbxkb 0.6-2.4

=== debian/changelog ===
fbxkb (0.6-2.4) unstable; urgency=medium

  * added a few new flags

 -- anticapitalista <antix@operamail.com>  Wed, 13 Mar 2019 17:49:19 +0200

## fbxkb 0.6-2.5

=== debian/changelog ===
fbxkb (0.6-2.5) unstable; urgency=medium

  * built on jessie

 -- anticapitalista <antix@operamail.com>  Fri, 15 Mar 2019 12:57:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: fbxkb
 Section: x11
 Priority: optional
-Maintainer: Vadim Vatlin <vatlin@sthbel.ru>
-Build-Depends: debhelper (>= 5), libgtk2.0-dev, libxmu-dev
-Standards-Version: 3.7.2
+Maintainer: anticapitalista <antiX@operamail.com> 
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libxmu-dev
+Standards-Version: 3.9.8
 
 Package: fbxkb
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,62 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-%:
-	dh $@
+CFLAGS = -Wall -g
+LDFLAGS = -lX11
 
-override_dh_auto_configure:
-	./configure --prefix=/usr
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+config.status: configure
+	dh_testdir
+	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr
+
+build: build-stamp
+
+build-stamp:  config.status
+	dh_testdir
+
+	LDFLAGS="$(LDFLAGS)" $(MAKE)
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+
+	-$(MAKE) distclean
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	cp fbxkb debian/fbxkb/usr/bin/
+	cp images/*.png debian/fbxkb/usr/share/fbxkb/images/
+
+binary-indep: build install
+
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installman man/fbxkb.1
+	dh_installchangelogs CHANGELOG
+	dh_installdocs
+	dh_installmenu
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install

## fbxkb 0.6-2.6

=== debian/changelog ===
fbxkb (0.6-2.6) unstable; urgency=medium

  * updated icons

 -- anticapitalista <antix@operamail.com>  Sun, 22 Dec 2019 16:08:53 +0200

## fbxkb 0.6-2.7

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 TARGET = fbxkb
 $(TARGET): $(OBJ) 
-	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) -o $@
+	$(CC) $(LDFLAGS) $(LIBS) -lX11 -ldl -lXext $(OBJ) -o $@
 ifeq (,$(DEVEL))
 	strip $@
 endif

=== man/Makefile ===
--- 
+++ 
@@ -20,9 +20,8 @@
 
 
 install: all
-#	install -d  $(PREFIX)/share/man/man1
-#	install -m 644 $(TARGET) $(PREFIX)/share/man/man1
+	install -d  $(PREFIX)/share/man/man1
+	install -m 644 $(TARGET) $(PREFIX)/share/man/man1
 
 uninstall:
-#	rm -f $(PREFIX)/share/man/man1/$(TARGET)
-
+	rm -f $(PREFIX)/share/man/man1/$(TARGET)

=== debian/changelog ===
fbxkb (0.6-2.7) unstable; urgency=medium

  * fix segfault by building on jessie

 -- anticapitalista <antix@operamail.com>  Mon, 30 Dec 2019 13:41:25 +0200
